//----------------Loading Prefs----------------
if(isFile("prefs/DeKayPrefs.cs") && !$DKPrefsLoaded)
{
	exec("prefs/DeKayPrefs.cs");
	$DKPrefsLoaded = true;
}
package DKSupport
{
	//----------------Saving Prefs----------------
	function quit()
	{
		if(!$DeKayPrefsSaved)
		{
			export("$DKPrefs::*", "prefs/DeKayPrefs.cs", false);
			$DeKayPrefsSaved = true;
		}
		parent::quit();
	}
	//----------------Name Catcher, ID Catcher----------------
	function DKNameCatcher(%msgType, %msgString, %clientName, %clientId, %targetId, %isAI, %isAdmin, %isSuperAdmin, %isSmurf, %guid)
	{
		if (strstr(%msgString, "Welcome to Tribes2") != -1)
		{
			$DKMyName = detag(%clientName);
			$DKMyID = %clientId;
		}
	}
	function DKGetMyName()
	{
		return $DKMyName;
	}
	function DKGetMyID()
	{
		return $DKMyID;
	}
	//----------------Teamname Catcher, TeamID Catcher----------------
	function DKTeamCatcher(%msgType, %msgString, %clientName, %teamName, %clientId, %teamId)
	{
		if(DKGetMyID() == %clientId)
		{
			$DKMyTeam = detag(%teamName);
    			$DKMyTeamID = %teamId;
    			if($DKMyTeamID == 1)
    			{
    				$DKEneTeamID = 2;
    			}
    			else if($DKMyTeamID == 2)
    			{
    				$DKEneTeamID = 1;
    			}
    			else
    			{
    				$DKMyTeamID = 1;
    				$DKEneTeamID = 2;
    			}
  		}
	}
	function DKGetMyTeam()
	{
		return $DKMyTeam;
	}
	function DKGetMyTeamID()
	{
		return $DKMyTeamID;
	}
	function DKGetEneTeamID()
	{
		return $DKEneTeamID;
	}
	//----------------Overrides----------------
	function DispatchLaunchMode()
	{
		addMessageCallback('MsgClientJoin', DKNameCatcher);
		addMessageCallback('MsgClientJoinTeam', DKTeamCatcher);
		parent::DispatchLaunchMode();
	}
};
activatePackage(DKSupport);